summaryrefslogtreecommitdiffstats
path: root/src/daemon/start-pulseaudio-x11.in
diff options
context:
space:
mode:
authorLennart Poettering <lennart@poettering.net>2008-07-31 23:34:09 +0300
committerLennart Poettering <lennart@poettering.net>2008-07-31 23:34:09 +0300
commitd757dc7ff47a47d760cc5959579b010fb5a8b214 (patch)
treefbf258c55e7da38c66b2585542f241bb473d7ab7 /src/daemon/start-pulseaudio-x11.in
parent297267b9c4e297cc1c26dbc1e6d0be476443f128 (diff)
parent80428d80b03b3c26bd25169fa4083e16cf6bfafc (diff)
Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
Diffstat (limited to 'src/daemon/start-pulseaudio-x11.in')
-rwxr-xr-xsrc/daemon/start-pulseaudio-x11.in31
1 files changed, 31 insertions, 0 deletions
diff --git a/src/daemon/start-pulseaudio-x11.in b/src/daemon/start-pulseaudio-x11.in
new file mode 100755
index 00000000..3cccc4dc
--- /dev/null
+++ b/src/daemon/start-pulseaudio-x11.in
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+# This file is part of PulseAudio.
+#
+# PulseAudio is free software; you can redistribute it and/or modify
+# it under the terms of the GNU Lesser General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# PulseAudio is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public License
+# along with PulseAudio; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
+# USA.
+
+set -e
+
+@PA_BINARY@ --start "$@"
+
+if [ x"$DISPLAY" != x ] ; then
+
+ @PACTL_BINARY@ load-module module-x11-publish "display=$DISPLAY" > /dev/null
+
+ if [ x"$SESSION_MANAGER" != x ] ; then
+ @PACTL_BINARY@ load-module module-x11-xsmp "display=$DISPLAY session_manager=$SESSION_MANAGER" > /dev/null
+ fi
+fi